Bug 1201176 - Review Request: python-pygatt - A Python Module for Bluetooth LE Generic Attribute Profile
Summary: Review Request: python-pygatt - A Python Module for Bluetooth LE Generic Attr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 08:54 UTC by Fabian Affolter
Modified: 2017-03-03 03:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 21:48:34 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2015-03-12 08:54:43 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pygatt.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pygatt-1.0.0-1.fc21.src.rpm

Project URL: https://github.com/ampledata/pygatt

Description:
This Module allows reading and writing to GATT descriptors on devices such as
fitness trackers, sensors, and anything implementing standard GATT Descriptor
behavior.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9208120

rpmlint output:
[fab@laptop017 SRPMS]$ rpmlint python*-pygatt*
python-pygatt.src: W: spelling-error %description -l en_US gatttool -> tattoo
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop017 noarch]$ rpmlint python*-pygatt*
python3-pygatt.noarch: W: spelling-error %description -l en_US gatttool -> tattoo
python-pygatt.noarch: W: spelling-error %description -l en_US gatttool -> tattoo
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 Fabian Affolter 2015-06-04 09:37:43 UTC
%changelog
* Wed Jun 03 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.1-1
- Update to latest upstream release 1.0.1

Update files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pygatt.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pygatt-1.0.1-1.fc21.src.rpm

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-07-18 05:42:54 UTC
So, the packaging is OK, but it looks like it can be simplified a lot. Have you tried running %build and %install without creating  a separate py3k directory? This package doesn't use 2to3 so this should work just as well.

You can use %global _docdir_fmt %{name} to use a common license and documentation directories.

%if 0%{?fedora} > 12 → %if 0%{?fedora}

Comment 3 William Moreno 2015-07-30 21:58:27 UTC
Good job in the spec

But there is some updates here:
https://fedoraproject.org/wiki/Packaging:Python

Now you must add a Provide: python2-foo and and build a subpackage for python 2 and 3

Please update the spec and I will run the review.

Comment 4 William Moreno 2015-08-09 16:58:04 UTC
Hi, do want to continue with this review?

Comment 5 Fabian Affolter 2016-11-17 17:56:44 UTC
Sorry, forgot about that package.

Comment 6 Fabian Affolter 2016-11-17 18:11:03 UTC
%changelog
* Thu Nov 17 2016 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.0-2
- Update to latest Python guidelines

* Fri Sep 16 2016 Fabian Affolter <mail@fabian-affolter.ch> - 2.1.0-1
- Update to latest upstream release 2.1.0

* Tue Mar 22 2016 Fabian Affolter <mail@fabian-affolter.ch> - 2.0.1-1
- Update py3
- Update to latest upstream release 2.0.1

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pygatt.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pygatt-3.0.0-1.fc24.src.rpm

Comment 7 Zbigniew Jędrzejewski-Szmek 2016-11-18 19:20:39 UTC
No need to define %sum, just fill in the first Summary, and then use %summary in subsequent ones.

Requries: bluez should apply to both subpackages, no?

The tarball contains some pdf files which don't look like they're redistributable. You'll have to provide a sanitized tarball without them.

Comment 8 Fabian Affolter 2017-01-17 16:59:14 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #7)
> No need to define %sum, just fill in the first Summary, and then use
> %summary in subsequent ones.

There are several ways to do.

> Requries: bluez should apply to both subpackages, no?

Updated

> The tarball contains some pdf files which don't look like they're
> redistributable. You'll have to provide a sanitized tarball without them.

Switched to the tarball from PyPI. That one doesn't contain the PDF files.

%changelog
* Tue Jan 17 2017 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.0-2
- Change source URL
- Update requirements

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pygatt.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pygatt-3.0.0-2.fc24.src.rpm

Comment 9 Zbigniew Jędrzejewski-Szmek 2017-01-17 18:25:28 UTC
+ package name follows the guidelines
+ summary and description are legible
+ license is acceptable (ASL 2.0)
+ license is specified correctly
+ latest python packaging template is used
+ %python_provide are present
+ provides/requires/br seem correct

rpmlint: one bogus spelling error and many bogus python-bytecode-wrong-magic-value errors

Package is APPROVED.

Comment 10 Fabian Affolter 2017-01-21 11:58:36 UTC
Thanks for the review.

Comment 11 Gwyn Ciesla 2017-01-23 14:07:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pygatt

Comment 12 Fedora Update System 2017-01-23 20:41:47 UTC
python-pygatt-3.0.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a18da77a3c

Comment 13 Fedora Update System 2017-01-23 21:13:51 UTC
python-pygatt-3.0.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6427f18cfd

Comment 14 Fedora Update System 2017-01-25 01:22:38 UTC
python-pygatt-3.0.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6427f18cfd

Comment 15 Fedora Update System 2017-01-28 19:19:10 UTC
python-pygatt-3.0.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a18da77a3c

Comment 16 Fedora Update System 2017-02-03 21:48:34 UTC
python-pygatt-3.0.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-03-03 03:53:50 UTC
python-pygatt-3.0.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.